GSTR-1A E-Commerce Operator Invoices (ECOM)
GET
https://apisandbox.whitebooks.in/gstr1a/ecomGetting all ECOM invoices for a return period.
Parameters
query parameters
emailstringrequiredEmail
gstinstringrequiredGSTIN of the taxpayer
retperiodstringrequiredReturn Period format MMYYYY
rtinstringoptionalRecepient of the GSTIN
subsectionstringoptionalSub Section(ECOM_B2B/ECOM_B2C/ECOM_URP2B/ECOM_URP2C)
fromtimestringoptionalFrom time format DD-MM-YYYY,20-12-2016
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/gstr1a/ecom. Required parameters: email (query parameter), gstin (query parameter), retperiod (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get ECOM Invoices (GET
/gstr1a/ecom), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Getting all ECOM invoices for a return period.
No example available.